Subject: Re: linux-next: build failure after merge of the drm-tegra tree

From: Thierry Reding <[email-masked]>
Date: Mon, 4 Feb 2019 08:30:03 +0100

On Mon, Feb 04, 2019 at 11:12:41AM +1100, Stephen Rothwell wrote:
> Hi Thierry,
> 
> After merging the drm-tegra tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/gpu/host1x/cdma.c: In function 'host1x_cdma_wait_pushbuffer_space':
> drivers/gpu/host1x/cdma.c:279:13: error: 'struct host1x_cdma' has no member named 'sem'
>    down(&cdma->sem);
>              ^~
> 
> Caused by commit
> 
>   abb289796799 ("gpu: host1x: Use completion instead of semaphore")
> 
> interacting with commit
> 
>   db5652be58a9 ("gpu: host1x: Introduce support for wide opcodes")
> 
> I have used the drm-tegra tree from next-20190201 for today.

Oh my... so I go through all the build testing and then pull in the
seemlessly harmless fix and ruin everything...

I've fixed it up in my tree now, thanks.

Thierry